Subject: Re: [SWIPL] Fetching files over HTTP

From: "John Fletcher" <[email-masked]>
Date: Sun, 3 Mar 2002 11:57:34 -0000

----- Original Message ----- 
From: "Bijan Parsia" <[email-masked]>
To: "Volker Wysk" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, March 02, 2002 5:52 PM
Subject: Re: [SWIPL] Fetching files over HTTP

> On Sat, 2 Mar 2002, Volker Wysk wrote:
> 
> [snip]
> > If you're under Unix, the easiest way would be to call "lynx -source
> > <URL>" and read its output via a pipe.
> 
> Ouch. First, I'm not on Unix and I need/want Windows compatibility.
> 
> Second, I did espy the XPCE class http_client, which seemed promising
> until I found myself in the wonderful but strange world of XPCE :)
> 
> I'd be happy if I could figure out (or someone could tell me) how to use
> http_client to write its data to a local file :)
> 
> But thanks for the suggestion, or depression :)
>

Bijan

I've been using curl, (available from http://curl.haxx.se/), to do http, https and ftp retrieval on Windows.

I doesn't do everything that I want, "straight out of the box", but it's easy enough to add custom headers etc.

Regards

John Fletcher